org.bouncycastle.asn1.cms

## Class RecipientInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cms.RecipientInfo

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class RecipientInfo
    extends ASN1Encodable
    implements ASN1Choice

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`RecipientInfo(DERObject info)`
`RecipientInfo(KEKRecipientInfo info)`
`RecipientInfo(KeyAgreeRecipientInfo info)`
`RecipientInfo(KeyTransRecipientInfo info)`
`RecipientInfo(OtherRecipientInfo info)`
`RecipientInfo(PasswordRecipientInfo info)`

### Method Summary

Methods
`DEREncodable` `getInfo()`
`static RecipientInfo` `getInstance(java.lang.Object o)`
`DERInteger` `getVersion()`
`boolean` `isTagged()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecipientInfo

    public RecipientInfo(KeyTransRecipientInfo info)

#### RecipientInfo

    public RecipientInfo(KeyAgreeRecipientInfo info)

#### RecipientInfo

    public RecipientInfo(KEKRecipientInfo info)

#### RecipientInfo

    public RecipientInfo(PasswordRecipientInfo info)

#### RecipientInfo

    public RecipientInfo(OtherRecipientInfo info)

#### RecipientInfo

    public RecipientInfo(DERObject info)

### Method Detail

#### getInstance

    public static RecipientInfo getInstance(java.lang.Object o)

#### getVersion

    public DERInteger getVersion()

#### isTagged

    public boolean isTagged()

#### getInfo

    public DEREncodable getInfo()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     RecipientInfo ::= CHOICE {
         ktri KeyTransRecipientInfo,
         kari [1] KeyAgreeRecipientInfo,
         kekri [2] KEKRecipientInfo,
         pwri [3] PasswordRecipientInfo,
         ori [4] OtherRecipientInfo }

Specified by:
  `toASN1Object` in class `ASN1Encodable`